!***********************************************************************************************
      subroutine get_vgosDB_filename_arg(lfilename,lchar,larg,ierr)
      implicit none 
! Extract an argument from the vgosDB filename
      character*(*) lfilename 
      character*1 lchar    ! something like "k","b","i","v", etc.
! return
      character*(*) larg   !argument.  if "b" then the band, if "v", the version, etc.
      integer ierr    
        
! local
      character*2 ltemp
      integer ind
      integer ind_dot
      integer ind_underscore
      integer ilen 
      character*128 lfilename_cap

!  Intialize to not found. 
      larg=" "

      ltemp="_"//lchar
      call capitalize(ltemp)
      lfilename_cap=lfilename
      call capitalize(lfilename_cap)
! search for "_B", "_K", etc 
      ind=index(lfilename_cap,ltemp)                    

! If ind>0, then have found place to look.
        
      if(ind .ne.0) then
         ind_dot=         index(lfilename(ind+2:),".")
         ind_underscore  =index(lfilename(ind+2:),"_")           
         if(ind_dot .eq. 0) then
           ilen=ind_underscore 
         else if(ind_underscore .eq. 0) then 
           ilen=ind_dot  
         else
           ilen= min(ind_underscore,ind_dot)
         endif      
         larg=lfilename(ind+2:ind+ilen)                        
      endif          
      return
      end 


