# ************************************************************************
# *                                                                      *
# *   Makefile  for compiling and linking  dbngs  executable             *
# *                                                                      *
# ************************************************************************
.SUFFIXES:
.SUFFIXES:	.f	.c	.o	.opt_o	.a	.d
SHELL = /bin/csh


.c.o:
	gcc -c -o $*.o $*.c  

.f.o:
#	gfortran -I $(SOLVE_NETCDF_INCLUDE) -I module -J module -ffree-form -c -o $*.o $*.f  
	gfortran -I include -J module -ffree-form -c -o $*.o $*.f  

.f90.o: 
	gfortran -c -o $*.o $*.f90  


.f.d:
	gfortran -c -o $*.o $*.f  


# Always compile the modules first. 

OBJS 	=        \
          netCDF_file_info_mod.o \
          netCDF_file_read_mod.o \
          vgosDB_variable_mod.o \
          netcdf_mod.o \
          capitalize.o \
          extractnexttoken.o \
          get_vgosDB_filename_arg.o \
          handle_NetCDF_err.o \
          iwhere_in_string_list.o \
          splitntokens.o \
          vgosDB_TOC.o    

LIBS =						\
        $(SOLVE_LIB_NETCDF) -lgfortran			

all:	bin

bin:	$(OBJS) 
	gfortran -o vgosDB_TOC -I module  $(OBJS) $(LIBS)

clean:  
	rm -f $(OBJS) $(EXE_DIR)/vgosDB_TOC
