
      subroutine make_wrapper_path(lwrapper, lwrapper_full) 
      implicit none
      character*(*) lwrapper 

      include "default_vgosDB_dir.ftni"
      character*40 lvgosDB_dir        !top level vgosDB directory
      character*(*) lwrapper_full
      character*10 ldbname
      integer iyear 
      integer ind 

! Must convert to full path if not.
      if(lwrapper(1:1) .eq. "/" .or. lwrapper(1:1) .eq. ".") then
         lwrapper_full=lwrapper
      else 
! must add in vgosDB_DIR.
! Try to read from enviromenent. 
       lvgosDB_dir=" " 
       call getenv("VGOSDB_DIR", lvgosDB_dir) 
       if(lvgosDB_dir .eq. " ") lvgosDB_dir=lvgosDB_dir_default
       read(lwrapper(1:2),*) iyear
       if(iyear .gt. 79) then
          iyear=1900+iyear
       else
          iyear=2000+iyear
       endif       
       ind=index(lwrapper,"_")
       ldbname=lwrapper(1:ind-1)
       write(lwrapper_full,'(a,"/",i4,"/",a,"/",a)') trim(lvgosDB_dir),iyear,trim(ldbname),trim(lwrapper)
!         write(*,*) "lwrapper_full ", trim(lwrapper_full)
      endif   
      end 
